Bug 1270296 - [epel7s390x] python-pyramid-tm SRPM does not build correctly on s390x
[epel7s390x] python-pyramid-tm SRPM does not build correctly on s390x
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-pyramid-tm (Show other bugs)
epel7
s390x Linux
high Severity medium
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks: epel7s390x epel7aarch64
  Show dependency treegraph
 
Reported: 2015-10-09 10:22 EDT by IBM Bug Proxy
Modified: 2015-12-30 13:03 EST (History)
7 users (show)

See Also:
Fixed In Version: python-pyramid-tm-0.12-2.fc23 python-pyramid-tm-0.12-2.fc22 python-pyramid-tm-0.12-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-29 17:24:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
python-pyramid-tm error log (11.34 KB, text/plain)
2015-10-09 10:22 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 131561 None None None Never

  None (edit)
Description IBM Bug Proxy 2015-10-09 10:22:49 EDT

    
Comment 1 IBM Bug Proxy 2015-10-09 10:22:51 EDT
The EPEL 7 SRPM for python-pyramid-tm 
https://dl.fedoraproject.org/pub/epel/7/SRPMS/p/python-pyramid-tm-0.7-5.el7.src.rpm
does not build correctly in Mock on s390x.

12 errors with the same cause, calling the _callFUT() method, using self._callFUT(), which results in AttributeError: 'DummyRequest' object has no attribute 'unauthenticated_userid'

Detailed error messages for 12 failed test cases are located in attachment.
Comment 2 IBM Bug Proxy 2015-10-09 10:22:57 EDT
Created attachment 1081360 [details]
python-pyramid-tm error log
Comment 3 Yaakov Selkowitz 2015-12-13 23:51:32 EST
This is:

https://github.com/Pylons/pyramid_tm/issues/14

and was fixed upstream in 0.8.  So either this needs to be rebased -- although currently only rawhide has a newer version (0.12) -- or the upstream commits for Pyramid 1.5 compatibility need to be backported, for which I believe I have a patch.  How would the maintainer like to proceed?
Comment 4 Ralph Bean 2015-12-14 09:52:30 EST
Will rebase the latest upstream to the other branches.  Thanks for the analysis Yaakov!
Comment 5 Fedora Update System 2015-12-14 10:00:53 EST
python-pyramid-tm-0.12-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5d7e18958f
Comment 6 Fedora Update System 2015-12-14 10:00:53 EST
python-pyramid-tm-0.12-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-728f822307
Comment 7 Fedora Update System 2015-12-14 10:00:59 EST
python-pyramid-tm-0.12-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ca85aa98e4
Comment 8 Fedora Update System 2015-12-15 02:20:20 EST
python-pyramid-tm-0.12-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-pyramid-tm'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ca85aa98e4
Comment 9 Fedora Update System 2015-12-15 05:53:21 EST
python-pyramid-tm-0.12-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pyramid-tm'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-728f822307
Comment 10 Fedora Update System 2015-12-22 10:37:08 EST
python-pyramid-tm-0.12-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5d7e18958f
Comment 11 Fedora Update System 2015-12-29 17:24:50 EST
python-pyramid-tm-0.12-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-12-30 12:50:38 EST
python-pyramid-tm-0.12-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-12-30 13:03:29 EST
python-pyramid-tm-0.12-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.